XnList.h File Reference
`#include <XnDataTypes.h>`
`#include <IXnNodeAllocator.h>`
`#include <XnNodeAllocator.h>`
`#include <XnNode.h>`
`#include <XnStatusCodes.h>`

Go to the source code of this file.

## Classes

class | XnList
class | XnList::ConstIterator
class | XnList::Iterator

## Macros

#define | XN_DECLARE_LIST_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator)
#define | XN_DECLARE_LIST_WITH_TRANSLATOR(Type, ClassName, Translator)
#define | XN_DECLARE_LIST_DECL(decl, Type, ClassName)
#define | XN_DECLARE_LIST(Type, ClassName)

## Macro Definition Documentation

## XN_DECLARE_LIST

#define XN_DECLARE_LIST | ( |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_LIST_DECL(, Type, ClassName)
XN_DECLARE_LIST_DECL
#define XN_DECLARE_LIST_DECL(decl, Type, ClassName)
Definition XnList.h:738

Declares a list of type Type, which is named ClassName. The list uses creates a default translator.

## XN_DECLARE_LIST_DECL

#define XN_DECLARE_LIST_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, XN_DEFAULT_TRANSLATOR_NAME(ClassName)) \
XN_DECLARE_LIST_WITH_TRANSLATOR_DECL(decl, Type, ClassName, XN_DEFAULT_TRANSLATOR_NAME(ClassName))
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL
#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, ClassName)
Definition XnDataTypes.h:42
XN_DEFAULT_TRANSLATOR_NAME
#define XN_DEFAULT_TRANSLATOR_NAME(ClassName)
Definition XnDataTypes.h:118

Declares a list of type Type, which is named ClassName. The list uses creates a default translator and is declared using the decl declspec.

## XN_DECLARE_LIST_WITH_TRANSLATOR

#define XN_DECLARE_LIST_WITH_TRANSLATOR | ( |  | Type,
|  |  | ClassName,
|  |  | Translator )

Value:
XN_DECLARE_LIST_WITH_TRANSLATOR_DECL(, Type, ClassName, Translator)
XN_DECLARE_LIST_WITH_TRANSLATOR_DECL
#define XN_DECLARE_LIST_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator)
Definition XnList.h:560

Declares a list of type Type, which is named ClassName. The list uses translator Translator.

## XN_DECLARE_LIST_WITH_TRANSLATOR_DECL

#define XN_DECLARE_LIST_WITH_TRANSLATOR_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName,
|  |  | Translator )

Declares a list of type Type, which is named ClassName. The list uses translator Translator, and is declared using the decl declspec.